Skip to main content
Version: v1.0

Reporting API v1.0

Request address

https://apps.premiumads.net/api/v1/reports

Request method

GET

Authorization Header

Header

Type

Value

Description

Authorization

String

Bearer ${access_token}

A publisher token to authenticate calls to a PremiumAds API. Send your generated access token in place of the placeholder, ${access_token}, to authenticate your requests. For example:

curl "http://${URI_PREFIX}/exampleAPI/exampleMethod/xxxxx?paramOne=1" -H "Authorization: Bearer BDxxxx9d"

Request Parameter

FieldsTypeDescription
fromStringThe start time of the requested data, in the format YYYY-mm-dd.
toStringEnd time of the requested data, in the format YYYY-mm-dd.
dimensionsStringEnum field: "date", "app", "zone". Separate with commas for multiple fields. Examples: "date,app"

Response

FieldsTypeDescription
datestringDate (YYYY-mm-dd format) of the impression request.
app_idnumericApplication ID
app_keystringAndroid package name or iOS bundle id. Examples: net.premiumads.sample, id1617245241
app_nameStringApplication name
app_platformStringApplication platform. Enum field: "android", "ios"
zone_namestringZone name
zone_typestringZone type. Enum field: "banner", "interstitial", "rewarded", "native"
zone_idnumericZone ID
statusstringEnum field: "final", "non-final"
requestsnumericNumber of bid requests
impressionsnumericNumber of bid impressions
clicksnumericNumber of clicks
fill_ratenumericFillrate
ecpmnumericCPM of the bid responses
revenuenumericRevenue in USD

Request example

GET /api/v1/reports?from=2023-01-01&to=2023-01-03&dimensions=date,app,zone HTTP/1.1
Host: apps.premiumads.net
Authorization: Bearer {access_token}

Response example

{
"meta": {
"from": "2023-01-01",
"to": "2023-01-03",
"dimensions": [
"date",
"app",
"zone"
],
"columns": []
},
"data": [
{
"date": "2023-01-03",
"app_id": 20001,
"app_key": "net.premiumads.sample",
"app_name": "PremiumAds Android App",
"app_platform": "android",
"zone_name": "a_splash",
"zone_type": "banner",
"zone_id": 29998,
"status": "final",
"revenue": 674.7589234091574,
"requests": 6696780,
"impressions": 210013,
"clicks": 2714,
"ecpm": 3.2129,
"fill_rate": 3.14
},
{
"date": "2023-01-03",
"app_id": 20001,
"app_key": "net.premiumads.sample",
"app_name": "PremiumAds Android App",
"app_platform": "android",
"zone_name": "it_get_cash",
"zone_type": "banner",
"zone_id": 29999,
"status": "final",
"revenue": 208.12844029068947,
"requests": 2453112,
"impressions": 72401,
"clicks": 1191,
"ecpm": 2.8747,
"fill_rate": 2.95
},
{
"date": "2023-01-03",
"app_id": 20001,
"app_key": "net.premiumads.sample",
"app_name": "PremiumAds Android App",
"app_platform": "android",
"zone_name": "id1617245942_BN_0.50",
"zone_type": "banner",
"zone_id": 31280,
"status": "final",
"revenue": 0.26880601048469543,
"requests": 6773,
"impressions": 416,
"clicks": 2,
"ecpm": 0.6462,
"fill_rate": 6.14
}
],
"status_code": 200,
"header_status_code": 200
}